Page MenuHomePhabricator

1.34.0-wmf.10 deployment blockers
Closed, ResolvedPublicRelease

Details

2019 week 25 1.34-wmf.10 Changes wmf/1.34.0-wmf.10

This MediaWiki Train Deployment is scheduled for the week of Monday, June 17th:

Monday June 17thTuesday, June 18thWednesday, June 19thThursday, June 20thFriday
SWAT deployments only.Branch wmf.10 and deploy to Group 0 Wikis.Deploy wmf.10 to Group 1 Wikis.Deploy wmf.10 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.10 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.9
Next: 1.34.0-wmf.11

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell assigned this task to dduvall.Apr 11 2019, 6:48 PM
mmodell triaged this task as Normal priority.Apr 11 2019, 7:11 PM
greg reassigned this task from dduvall to mmodell.May 30 2019, 12:15 AM
greg added a subscriber: dduvall.

Change 517728 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/517728

Change 517728 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/517728

Mentioned in SAL (#wikimedia-operations) [2019-06-18T19:47:04Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.34.0-wmf.10 refs T220735

Mentioned in SAL (#wikimedia-operations) [2019-06-18T20:24:14Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.34.0-wmf.10 refs T220735 (duration: 37m 10s)

Change 517741 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/517741

Change 517741 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/517741

Mentioned in SAL (#wikimedia-operations) [2019-06-18T20:31:56Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.34.0-wmf.10 refs T220735

Change 517753 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/517753

Change 517753 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/517753

Mentioned in SAL (#wikimedia-operations) [2019-06-18T21:47:05Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.34.0-wmf.10 refs T220735

Mentioned in SAL (#wikimedia-operations) [2019-06-18T21:48:00Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.34.0-wmf.10 refs T220735 (duration: 00m 54s)

mmodell added a comment.EditedJun 24 2019, 5:30 PM

Given the above, the current plan is as follows:

  1. I intend to push 1.34.0-wmf.10 to group 1 today, and then let it bake for a while.
  2. Deploy the branch to group 2 later today or tomorrow depending on how things are looking.

Change 518771 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/518771

Change 518771 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/518771

Change 518772 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/518772

Change 518772 abandoned by 20after4:
group0 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/518772

Change 518775 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/518775

Change 518775 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/518775

Mentioned in SAL (#wikimedia-operations) [2019-06-24T17:53:12Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.34.0-wmf.10 refs T220735

Mentioned in SAL (#wikimedia-operations) [2019-06-24T23:51:18Z] <twentyafterfour@deploy1001> Synchronized php-1.34.0-wmf.10/extensions/Wikibase/: Sync https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/Wikibase/+/518782/ refs T220735 (duration: 01m 21s)

deploying MediaWiki 1.34.0-wmf.10 to all wikis

Change 519092 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] all wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/519092

Change 519092 merged by jenkins-bot:
[operations/mediawiki-config@master] all wikis to 1.34.0-wmf.10 refs T220735

https://gerrit.wikimedia.org/r/519092

Mentioned in SAL (#wikimedia-operations) [2019-06-25T19:16:17Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: all wikis to 1.34.0-wmf.10 refs T220735